#
# spec file for package ocaml-extlib
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2011 Andrew Psaltis <ampsaltis at gmail dot com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-extlib
Version:        1.7.9
Release:        2.9
%{?ocaml_preserve_bytecode}
Summary:        OCaml ExtLib additions to the standard library
License:        LGPL-2.1-or-later WITH OCaml-LGPL-linking-exception
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/extlib
Source0:        %name-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20220707

%description
ExtLib is a project aiming at providing a complete - yet small -
standard library for the OCaml programming language. The purpose of
this library is to add new functions to OCaml Standard Library
modules, to modify some functions in order to get better performances
or more safety (tail-recursive) but also to provide new modules which
should be useful for the average OCaml programmer.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='extlib'
%ocaml_dune_setup
%ocaml_dune_build
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files
%doc README.md

%files devel -f %name.files.devel

%changelog
* Sun Sep 25 2022 Bernhard Wiedemann <bwiedemann@suse.com>
- Run dune build twice to ensure reproducible results
* Tue Aug  2 2022 ohering@suse.de
- Update to version 1.7.9
  * Add support for OCaml 5.0
  * Exclude unzip and base64 from build
- remove obsolete ocaml-extlib.patch
* Sat Sep 11 2021 ohering@suse.de
- Require current ocaml-rpm-macros
* Thu Jan 21 2021 ohering@suse.de
- Update to version 1.7.8
  * sync with OCaml 4.12
  * ExtList.find_map type updated to match stdlib
  * minimal (recommended) build of extlib now excludes Base64 module
  * String: fold_left and fold_right without allocations
- use ocaml-extlib.patch to build with dune
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Use _service file
* Thu Mar 21 2019 andy@onthewings.net
- Update to upstream release 1.7.6
  * Restore compilation on 32-bit (remove patch fix32bit.patch).
  * Sync with OCaml 4.07.
  * Install with Makefile.
  * IO: read_i32_as_int.
  * Fix Dllist.skip with negative argument.
  * Fix IO.read_bits 31.
- Use SPDX OCaml-LGPL-linking-exception.
* Tue Apr 24 2018 andy@onthewings.net
- Update to upstream release 1.7.4
  * String: faster slice
  * various fixes for i31
  * base64: add encode_string decode_string
  * OCaml 4.06 compatibility
- Add fix32bit.patch from upstream to fix building on 32-bit arch
- Use upstream Makefile to build
- Fix BuildRequires: cppo_ocamlbuild
- Fix License: to include exception
- Use GitHub archive as Source0:
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Wed May 31 2017 olaf@aepfle.de
- Replace tabs with spaces in generated _oasis file
* Wed May 17 2017 olaf@aepfle.de
- Update to version 1.7.2
- Build with oasis
- Remove ocaml-extlib-makefile.patch
* Wed May 25 2016 olaf@aepfle.de
- Update to version 1.7.0 (fate#320836)
  added ocaml-extlib-makefile.patch
  removed extlib-install.patch
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Wed Sep 24 2014 sleep_walker@suse.cz
- build native code unconditionaly
* Wed Sep 24 2014 sleep_walker@suse.cz
- let there be ocaml-extlib!
